<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/sus_signal_handler_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  sus_signal_handler_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>The sus_signal_handler_ subroutine is the static condition handler for
<span id="L5" class="LineNr"> 5 </span>the sus_ condition.  The standard process overseers establish this
<span id="L6" class="LineNr"> 6 </span>handler by calling sct_manager_$set.  For interactive processes, the
<span id="L7" class="LineNr"> 7 </span>sus_ condition typically occurs when the process is disconnected from
<span id="L8" class="LineNr"> 8 </span>its login terminal channel.  For absentee processes, the sus_ condition
<span id="L9" class="LineNr"> 9 </span>occurs when the operators suspend the job.
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>When the user reconnects to the process, sus_signal_handler_ may
<span id="L12" class="LineNr">12 </span>attempt to execute an exec_com, according to whether
<span id="L13" class="LineNr">13 </span>reconnect_ec_enable or reconnect_ec_disable was last called before
<span id="L14" class="LineNr">14 </span>disconnection.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Entry points in sus_signal_handler_:
<span id="L18" class="LineNr">18 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>:Entry:  reconnect_ec_enable:  02/11/83
<span id="L22" class="LineNr">22 </span>sus_signal_handler_$reconnect_ec_enable
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Function:  This entry point enables searching for the segment
<span id="L26" class="LineNr">26 </span>reconnect.ec when the user reconnects to a disconnected process.  As a
<span id="L27" class="LineNr">27 </span>result, sus_signal_handler_ looks first in the user's home directory,
<span id="L28" class="LineNr">28 </span>then in his project directory <span class="textRainbow_lv0_p0">(</span>&gt;user_dir_dir&gt;Project_name<span class="textRainbow_lv0_p0">)</span>, and finally
<span id="L29" class="LineNr">29 </span>in &gt;system_control_dir.  When the reconnect.ec segment is found, the
<span id="L30" class="LineNr">30 </span>command &quot;exec_com &gt;Directory_name&gt;reconnect&quot; is executed.
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>Syntax:
<span id="L34" class="LineNr">34 </span>declare sus_signal_handler_$reconnect_ec_enable entry;
<span id="L35" class="LineNr">35 </span>call sus_signal_handler_$reconnect_ec_enable <span class="textRainbow_lv0_p0">()</span>;
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>Notes:
<span id="L39" class="LineNr">39 </span>The use of reconnect.ec is enabled automatically by the standard
<span id="L40" class="LineNr">40 </span>process overseer process_overseer_.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>Invocation of the reconnect.ec is not automatically enabled by the
<span id="L43" class="LineNr">43 </span>project_start_up_ process overseer.  Thus, when using
<span id="L44" class="LineNr">44 </span>project_start_up_, the project administrator may enable the invocation
<span id="L45" class="LineNr">45 </span>of reconnect.ec at any point in the project_start_up.ec by using the
<span id="L46" class="LineNr">46 </span>reconnect_ec_enable command.
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>The current command processor is used to execute the reconnect.ec
<span id="L49" class="LineNr">49 </span>command.  If the user is using the abbrev command processor, any
<span id="L50" class="LineNr">50 </span>applicable abbreviation will be expanded.
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>:Entry:  reconnect_ec_disable:  02/11/83
<span id="L54" class="LineNr">54 </span>sus_signal_handler_$reconnect_ec_disable
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>Function:  This entry point reverses the effect of the
<span id="L58" class="LineNr">58 </span>sus_signal_handler_$reconnect_ec_enable entry.  After reconnection to a
<span id="L59" class="LineNr">59 </span>disconnected process, there is no attempt made to find or invoke the
<span id="L60" class="LineNr">60 </span>exec_com &quot;reconnect.ec&quot;.
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>Syntax:
<span id="L64" class="LineNr">64 </span>declare sus_signal_handler_$reconnect_ec_disable entry;
<span id="L65" class="LineNr">65 </span>call sus_signal_handler_$reconnect_ec_disable <span class="textRainbow_lv0_p0">()</span>;
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
